 
jQuery(function($){
	initRupI18nPromise.then(function() {
		prepareData();	
		innitDialog();
		
		
		$("#idProvinciaAyuntamiento_filter_table").rup_combo({	
			source: $.rup.CTX_PATH + 'nora/provincias',
			sourceParam: {label: "descProvincia", value:"codProvincia"},
			loadFromSelect:false,
			width: 'auto',
	        ordered: true,
			blank: '',
			customClasses: ['select-material'],
			rowStriping: true
		});
		
		$("#idMunicipioAyuntamiento_filter_table").rup_combo({
			parent: ["idProvinciaAyuntamiento_filter_table"],			
			source: $.rup.CTX_PATH + 'nora/municipioEnlazado',
			sourceParam: {label: "descripcion", value:"codMunicipio"},
			rowStriping: true,
			width: 'auto',
			ordered: true,
			blank: '',
			customClasses: ['select-material']
		});
		
		

		

		
	});
	

	
	function prepareData(){
	
//		$("#sentido29_filter_table").rup_combo({
//			loadFromSelect:true,
//			width: 'auto',
//	        ordered: false,
//			customClasses: ['select-material'],
//			rowStriping: true,
//			blank: '',
//			selected: ''
//		});
		
		
		

//		$.rup_date({
//			//yearRange: 'c-100:c+0',
//	        from: "fAlarma24Desde_filter_table",
//	        to: "fAlarma24Hasta_filter_table",
//	        mask: 'dd/mm/yyyy',
//			showButtonPanel : true,
//			showOtherMonths : true,
//			noWeekend : true,
//			
//	     });
		
		/*DOMICILIOS*/
	
	
			
		
		let tableColModels = [	
			
				{ 	name: "idFacturacion90",
					index: "idFacturacion90",
					editable: true, 
					hidden: true
				},			
				{ 	name: "descAyuntamiento",
					index: "descAyuntamiento",
					editable: true, 
					hidden: false
				},
				{ 	name: "descMunicipio",
					index: "descMunicipio",
					editable: true, 
					hidden: false
				},
				{ 	name: "descProvincia",
					index: "descProvincia",
					editable: true, 
					hidden: false
				},
				
				{ 	name: "periodoFacturacion",
					index: "periodoFacturacion",
					editable: true, 
					hidden: false,
					orderable:false
				},
				
				{ 	name: "fecEmision90",
					index: "fecEmision90",
					editable: true, 
					hidden: false
				},
				{ 	name: "importeFacturado90Str",
					index: "importeFacturado90Str",
					editable: true, 
					hidden: false
				},
				{ 	name: "numLiquidacion",
					index: "numLiquidacion",
					editable: true, 
					hidden: false
				},
				{ 	name: "estadoStr",
					index: "estadoStr",
					editable: true, 
					hidden: false
				},
				{ 	name: "indDomic",
					index: "indDomic",
					editable: true, 
					hidden: false
				},
				{ 	name: "informesStrExcel",
				index: "informesStrExcel",
				editable: true, 
				hidden: false,
				orderable:false
				},
				
				];
	
		
		let columnDefs = [
			{
				"targets": 6,
				"render": function(data, type, row, settings){	
					return `<div style="text-align:right"'>${data}</div>`
				}
					
			},
//			{
//				"targets": 4,
//				"render": function(data, type, row, settings){	
//					let mesDesdeDesc ="";
//					let mesDesde = row.mesDesde90;
//					
//						if      ( mesDesde == eneroId )     {mesDesdeDesc= eneroDesc;
//						}else if( mesDesde == febreroId )	{mesDesdeDesc= febreroDesc;
//						}else if( mesDesde == marzoId )		{mesDesdeDesc= marzoDesc;
//						}else if( mesDesde == abrilId )		{mesDesdeDesc= abrilDesc;
//						}else if( mesDesde == mayoId )		{mesDesdeDesc= mayoDesc;
//						}else if( mesDesde == junioId )		{mesDesdeDesc= junioDesc;
//						}else if( mesDesde == julioId )		{mesDesdeDesc= julioDesc;
//						}else if( mesDesde == agostoId )	{mesDesdeDesc= agostoDesc;
//						}else if( mesDesde == septiembreId ){mesDesdeDesc= septiembreDesc;
//						}else if( mesDesde == octubreId )	{mesDesdeDesc= octubreDesc;
//						}else if( mesDesde == noviembreId )	{mesDesdeDesc= noviembreDesc;
//						}else if( mesDesde == diciembreId )	{mesDesdeDesc= diciembreDesc;
//						}	
//						
//						let mesHastaDesc ="";
//						let mesHasta = row.mesHasta90;
//						
//							if      ( mesHasta == eneroId )     {mesHastaDesc= eneroDesc;
//							}else if( mesHasta == febreroId )	{mesHastaDesc= febreroDesc;
//							}else if( mesHasta == marzoId )		{mesHastaDesc= marzoDesc;
//							}else if( mesHasta == abrilId )		{mesHastaDesc= abrilDesc;
//							}else if( mesHasta == mayoId )		{mesHastaDesc= mayoDesc;
//							}else if( mesHasta == junioId )		{mesHastaDesc= junioDesc;
//							}else if( mesHasta == julioId )		{mesHastaDesc= julioDesc;
//							}else if( mesHasta == agostoId )	{mesHastaDesc= agostoDesc;
//							}else if( mesHasta == septiembreId ){mesHastaDesc= septiembreDesc;
//							}else if( mesHasta == octubreId )	{mesHastaDesc= octubreDesc;
//							}else if( mesHasta == noviembreId )	{mesHastaDesc= noviembreDesc;
//							}else if( mesHasta == diciembreId )	{mesHastaDesc= diciembreDesc;
//							}
//					
//					if(row.anyoDesde90 !=null && row.mesDesde90!= null && row.anyoHasta90!=null && row.mesHasta90!=null){
//						if(row.anyoDesde90!=row.anyoHasta90){
//							return mesDesdeDesc + " " + row.anyoDesde90 + " - " + mesHastaDesc + " " + row.anyoHasta90
//						}
//						else{
//							return mesDesdeDesc + " - " + mesHastaDesc + " " + row.anyoHasta90
//						}
//						
//					}
//					return ;
//					
//
//					}
//					
//					
//			},
			{
				"targets": 7,
				"render": function (data, type, row, meta){
					if (row.numLiquidacion != undefined && row.numLiquidacion != null && row.idLiquidacion != undefined && row.idLiquidacion != null){
						const url = URL_AE01B + '/liquidaciones/consultar/' + row.idLiquidacion;
    		    		return `<a href='javascript:window.open("${url}", "_blank");'>${row.numLiquidacion}</a>`;	
					}
					return "";
				}
			},
//			{
//				"targets": 8,
//				"render": function (data, type, row, meta){
//					if (row.estadoLiq != undefined && row.estadoLiq != null){
//						let estado = row.estadoLiq;
//						if      ( estado == ESTADO_LIQ_PEND_COBRO )     {return ESTADO_LIQ_PEND_COBRO_DESC;
//						}else if( estado == ESTADO_LIQ_ANULADA )	{return ESTADO_LIQ_ANULADA_DESC;
//						}else if( estado == ESTADO_LIQ_COBRO_PROV )		{return ESTADO_LIQ_COBRO_PROV_DESC;
//						}else if( estado == ESTADO_LIQ_COBRO_DEF )		{return ESTADO_LIQ_COBRO_DEF_DESC;
//						}else if( estado == ESTADO_LIQ_VIA_APREMIO )		{return ESTADO_LIQ_VIA_APREMIO_DESC;
//						}							
//					}
//					return "";
//				}
//			},
			{ 
				"targets": 9,
				"render": function(data, type, row, settings){	
					if(data!= undefined && data != null){
						if( data == 1 ){
							return  `<input type="checkbox" checked="checked" disabled/>`;
						}
						return  `<input type="checkbox" disabled/>`;
					}
					return "";
				}
			},
			{ 
				"targets": 10,
				"render": function(data, type, row, settings){	
					if(row.tieneInforme==1){
						return "<a href='javascript:$.downloadDocument(\"" + row.idFacturacion90 + "\");'><i class='mdi mdi-file-excel' style='margin-right:5px;'></i></a>";
					}
					else{
						return "<a><i class='mdi mdi-file-excel' style='margin-right:5px;'></i></a>";
					}
				}
			}
		];
		const FN_btnFacturacion = {};
		FN_btnFacturacion.test  = function(){
			if($("#facturacionAyuntamientos").rup_table("getSelectedRows") == undefined || $("#facturacionAyuntamientos").rup_table("getSelectedRows").length==0){
				return false;
			}else{
				return true;
			}
		}
		
		const FN_btnEmitirLiquidacionTable = {};
		FN_btnEmitirLiquidacionTable.test  = function(){
			if($("#facturacionAyuntamientos").rup_table("getSelectedRows") == undefined || $("#facturacionAyuntamientos").rup_table("getSelectedRows").length==0 ||$("#facturacionAyuntamientos").rup_table("getSelectedRows")['estadoLiq']!='2'){
				return false;
			}else{
				return true;
			}
		}
		
		
		
	
		
		const btnFacturacion={
				text: function () {
					return $.rup.i18n.app.facturacionAyuntamientos.btnFacturacion;
				},
				id: 'btnFacturacion', // Campo obligatorio si se
											// quiere usar desde el
											// contextMenu
				displayRegex: FN_btnFacturacion,
				className: 'btn-material-primary-high-emphasis table_toolbar_btnView',
				icon: "mdi mdi-playlist-edit",
				insideContextMenu: true, // Independientemente de
											// este valor, sera 'false'
											// si no tiene un id
											// definido
				type: 'view',
				action : function(e, dt, node, config) {
					$('#dialogFacturacionAyuntamientos').rup_dialog("open");
				}
			}
		
		const btnEmitirLiquidacionTable={
				text: function () {
					return $.rup.i18n.app.facturacionAyuntamientos.emitirLiquidacion;
				},
				id: 'btnEmitirLiquidacionTable', // Campo obligatorio si se
											// quiere usar desde el
											// contextMenu
				displayRegex: FN_btnEmitirLiquidacionTable,
				className: 'btn-material-primary-high-emphasis table_toolbar_btnView',
				icon: "mdi mdi-playlist-edit",
				insideContextMenu: true, // Independientemente de
											// este valor, sera 'false'
											// si no tiene un id
											// definido
				type: 'view',
				action : function(e, dt, node, config) {
					data = $('#facturacionAyuntamientos').rup_table("getSelectedRows");
					
					console.log(data);
					 $.rup_ajax({
			              url: $.rup.CTX_PATH +"facturacionayuntamientos/emitirLiquidacion",
			              type: "POST",
							'contentType': 'application/json',
							'dataType': 'json',
				            data: JSON.stringify(data),
							beforeSend: function() {
								Ad74aUtils.bloquearInterfaz();
			                },
			                complete: function() {
			                	Ad74aUtils.desBloquearInterfaz();
			                },
			              success: function (data){
			            	  $('#rup_feedback_facturacionAyuntamientos').rup_feedback("set", $.rup.i18n.app.facturacionAyuntamientos.liquidacionEmitida, "ok");
			            	  $('#facturacionAyuntamientos').rup_table("reload");
			              },
			              error: function(error){
			            	  $('#rup_feedback_facturacionAyuntamientos').rup_feedback("option", "delay", null);
			            	  $('#rup_feedback_facturacionAyuntamientos').rup_feedback("set", error.responseText, "error");
			              }
			        });
				}
			}
		
		const btnInformePisosTutelados={
				text: function () {
					return $.rup.i18n.app.facturacionAyuntamientos.btnInformeDePisosTutelados;
				},
				id: 'btnInformeDePisosTutelados', // Campo obligatorio si se
											// quiere usar desde el
											// contextMenu
				displayRegex: FN_informePisosTutelados,
				className: 'btn-material-primary-high-emphasis table_toolbar_btnView',
				icon: "mdi mdi-file-excel",
				insideContextMenu: true, // Independientemente de
											// este valor, sera 'false'
											// si no tiene un id
											// definido
				type: 'view',
				action : function(e, dt, node, config) {
					data = $('#facturacionAyuntamientos').rup_table("getSelectedRows");
					
					console.log(data);
					 $.rup_ajax({
			              url: $.rup.CTX_PATH +"facturacionayuntamientos/ayuntamientosExcel",
			              type: "POST",
							'contentType': 'application/json',
							'dataType': 'json',
				            data: JSON.stringify(data),
							beforeSend: function() {
								Ad74aUtils.bloquearInterfaz();
			                },
			                complete: function() {
			                	Ad74aUtils.desBloquearInterfaz();
			                },
			              success: function (data){
			            	  $('#rup_feedback_facturacionAyuntamientos').rup_feedback("set", $.rup.i18n.app.facturacionAyuntamientos.informeSolicitado, "ok");
			            	  $('#facturacionAyuntamientos').rup_table("reload");
			              },
			              error: function(error){
			            	  $('#rup_feedback_facturacionAyuntamientos').rup_feedback("option", "delay", null);
			            	  $('#rup_feedback_facturacionAyuntamientos').rup_feedback("set", error.responseText, "error");
			              }
			        });
				}
			}
		
		const misbotones = [
			
			]
		misbotones.push(btnFacturacion);
		misbotones.push(btnEmitirLiquidacionTable);
		misbotones.push(btnInformePisosTutelados);
		
		$("#facturacionAyuntamientos").rup_table({
			colReorder: {
			 fixedColumnsLeft: 1
			}
			,colModel: tableColModels
			,columnDefs : columnDefs
			,primaryKey: "idFacturacion90"
			,filter:{
		  		id:"facturacionAyuntamientos_dialog_form",
		  		filterToolbar:"facturacionAyuntamientos_filter_toolbar",
		  		collapsableLayerId:"facturacionAyuntamientos_filter_fieldset",
		  		showHidden: true
			}
	     	,loadOnStartUp: true
			,noEdit : true
       		,select: {
           		activate: true
       		}
    		,seeker: {
    			activate: false
			}
    		,buttons: {
				activate: true,
				contextMenu: false,
				blackListButtons: ['addButton', 'editButton', 'cloneButton', 'copyButton','deleteButton','pdfButton', 'odsButton', 'csvButton'],
				myButtons:misbotones
			},
			columnOrderArrows: {
			    showOnlyActive: false,
			    display: 'inline'
			}
			,order: [[3, "asc"],[2, "asc"]]
		});
		

	}
	
	function innitDialog(){
		
		
		
		$('#dialogFacturacionAyuntamientos').rup_dialog({
	        type: $.rup.dialog.DIV,
	        autoOpen: false,
	        modal: true,
	        resizable: false,
	        dialogClass: 'custom_mid_dialog',
	        title: '<i>'+$.rup.i18n.app.facturacionAyuntamientos.tituloDialog+'</i>',
	        buttons: [
	        	
	            
	            {
	                text: $.rup.i18n.app.botonera.cancelar,
	                id: "rup_dialogCancelar",
	                click: function () {
	                    $('#dialogFacturacionAyuntamientos').rup_dialog('close');
	                },
	                btnType: $.rup.dialog.LINK

	            },
	        ],
			open: () => {
				//Al volver a la misma pestaña, el dialog se queda inconsitente (Esta en memoria JS pero no en el HTML) Se comprueba y borra para que funcione correctamente el rup_dialog
				if($('div[aria-describedby=facturacionAyuntamientos_dialogreportFileWait]').length == 1){
					$('div[aria-describedby=facturacionAyuntamientos_dialogreportFileWait]').remove();
				}
				loadFacturacion();
			},
			close: function(event, ui) {}
	    });
		
		
		
		
	}
	const FN_informePisosTutelados = {};
	FN_informePisosTutelados.test  = function(){
		if($('#facturacionAyuntamientos').rup_table('getSelectedRows').length!=0){
			return true;
		}else{
			return false;
		}
	}
	
	const FN_informePisosTuteladosDialog = {};
	FN_informePisosTuteladosDialog.test  = function(){
		if($('#facturacionAyuntamientos_dialog').rup_table('getSelectedRows').length!=0){
			return true;
		}else{
			return false;
		}
	}
	
	function loadFacturacion(){
		
		$("#link-layer").hide();
		try {
			$("#facturacionAyuntamientos_dialog").DataTable().destroy();
		} catch (error) {}
		
		let tableColModels = [	
					
					{ 	name: "idFacturacion90",
						index: "idFacturacion90",
						editable: true, 
						hidden: true
					},			
					{ 	name: "ayuntamientos.idAyuntamiento31",
						index: "ayuntamientos.idAyuntamiento31",
						editable: true, 
						hidden: true
					},
					{ 	name: "descMunicipio",
						index: "descMunicipio",
						editable: true, 
						hidden: true
					},
					{ 	name: "descProvincia",
						index: "descProvincia",
						editable: true, 
						hidden: true
					},
					
					{ 	name: "periodoFacturacionDesde",
						index: "periodoFacturacionDesde",
						editable: true, 
						hidden: false
					},
					{ 	name: "periodoFacturacionHasta",
						index: "periodoFacturacionHasta",
						editable: true, 
						hidden: false
					},
					
					{ 	name: "fecEmision90",
						index: "fecEmision90",
						editable: true, 
						hidden: false
					},
					{ 	name: "importeFacturado90Str",
						index: "importeFacturado90Str",
						editable: true, 
						hidden: false
					},
					{ 	name: "numLiquidacion",
						index: "numLiquidacion",
						editable: true, 
						hidden: false
					},
					{ 	name: "estadoStr",
						index: "estadoStr",
						editable: true, 
						hidden: false
					},
					{ 	name: "indDomic",
						index: "indDomic",
						editable: true, 
						hidden: false
					},
					{ 	name: "informesStrExcel",
					index: "informesStrExcel",
					editable: true, 
					hidden: false,
					orderable:false
					},
					
					];								
		
		
		let urlBase= $.rup.CTX_PATH +"facturacionayuntamientos/"+ $('#facturacionAyuntamientos').rup_table('getSelectedRows')['idAyuntamiento90'];

		$("#facturacionAyuntamientos_dialog").attr("data-url-base", urlBase);
		
		let columnDefs = [
			
//			{
//				"targets": 4,
//				"render": function(data, type, row, settings){	
//					let mesDesdeDesc ="";
//					let mesDesde = row.mesDesde90;
//					
//						if      ( mesDesde == eneroId )     {mesDesdeDesc= eneroDesc;
//						}else if( mesDesde == febreroId )	{mesDesdeDesc= febreroDesc;
//						}else if( mesDesde == marzoId )		{mesDesdeDesc= marzoDesc;
//						}else if( mesDesde == abrilId )		{mesDesdeDesc= abrilDesc;
//						}else if( mesDesde == mayoId )		{mesDesdeDesc= mayoDesc;
//						}else if( mesDesde == junioId )		{mesDesdeDesc= junioDesc;
//						}else if( mesDesde == julioId )		{mesDesdeDesc= julioDesc;
//						}else if( mesDesde == agostoId )	{mesDesdeDesc= agostoDesc;
//						}else if( mesDesde == septiembreId ){mesDesdeDesc= septiembreDesc;
//						}else if( mesDesde == octubreId )	{mesDesdeDesc= octubreDesc;
//						}else if( mesDesde == noviembreId )	{mesDesdeDesc= noviembreDesc;
//						}else if( mesDesde == diciembreId )	{mesDesdeDesc= diciembreDesc;
//						}	
//						
//						
//					
//					if(row.anyoDesde90 !=null && row.mesDesde90!= null ){
//							return mesDesdeDesc + " " + row.anyoHasta90
//						
//					}
//					return ;
//					
//
//					}
//					
//					
//			},
//			{
//				"targets": 5,
//				"render": function(data, type, row, settings){	
//					let mesHastaDesc ="";
//					let mesHasta = row.mesHasta90;
//					
//						if      ( mesHasta == eneroId )     {mesHastaDesc= eneroDesc;
//						}else if( mesHasta == febreroId )	{mesHastaDesc= febreroDesc;
//						}else if( mesHasta == marzoId )		{mesHastaDesc= marzoDesc;
//						}else if( mesHasta == abrilId )		{mesHastaDesc= abrilDesc;
//						}else if( mesHasta == mayoId )		{mesHastaDesc= mayoDesc;
//						}else if( mesHasta == junioId )		{mesHastaDesc= junioDesc;
//						}else if( mesHasta == julioId )		{mesHastaDesc= julioDesc;
//						}else if( mesHasta == agostoId )	{mesHastaDesc= agostoDesc;
//						}else if( mesHasta == septiembreId ){mesHastaDesc= septiembreDesc;
//						}else if( mesHasta == octubreId )	{mesHastaDesc= octubreDesc;
//						}else if( mesHasta == noviembreId )	{mesHastaDesc= noviembreDesc;
//						}else if( mesHasta == diciembreId )	{mesHastaDesc= diciembreDesc;
//						}	
//						
//						
//					
//					if(row.anyoHasta90 !=null && row.mesHasta90!= null ){
//							return mesHastaDesc + " " + row.anyoHasta90
//						
//					}
//					return ;
//					
//
//					}
//					
//					
//			},
//			{
//				"targets": 9,
//				"render": function (data, type, row, meta){
//					if (row.estadoLiq != undefined && row.estadoLiq != null){
//						let estado = row.estadoLiq;
//						if      ( estado == ESTADO_LIQ_PEND_COBRO )     {return ESTADO_LIQ_PEND_COBRO_DESC;
//						}else if( estado == ESTADO_LIQ_ANULADA )	{return ESTADO_LIQ_ANULADA_DESC;
//						}else if( estado == ESTADO_LIQ_COBRO_PROV )		{return ESTADO_LIQ_COBRO_PROV_DESC;
//						}else if( estado == ESTADO_LIQ_COBRO_DEF )		{return ESTADO_LIQ_COBRO_DEF_DESC;
//						}else if( estado == ESTADO_LIQ_VIA_APREMIO )		{return ESTADO_LIQ_VIA_APREMIO_DESC;
//						}							
//					}
//					return "";
//				}
//			},
			{ 
				"targets": 7,
				"render": function(data, type, row, settings){	
					if(data!= undefined && data != null){
							return  `<div style="text-align:right">${data}</div>`;
					}
				}
			},
			{
				"targets": 8,
				"render": function (data, type, row, meta){
					if (row.numLiquidacion != undefined && row.numLiquidacion != null && row.idLiquidacion != undefined && row.idLiquidacion != null){
						const url = URL_AE01B + '/liquidaciones/consultar/' + row.idLiquidacion;
    		    		return `<a href='javascript:window.open("${url}", "_blank");'>${row.numLiquidacion}</a>`;	
					}
					return "";
				}
			},
			{ 
				"targets": 10,
				"render": function(data, type, row, settings){	
					if(data!= undefined && data != null){
						if( data == 1 ){
							return  `<input type="checkbox" checked="checked" disabled/>`;
						}
						return  `<input type="checkbox" disabled/>`;
					}
					return "";
				}
			},
			{ 
				"targets": 11,
				"render": function(data, type, row, settings){
					if(row.tieneInforme==1){
						return "<a href='javascript:$.downloadDocument(\"" + row.idFacturacion90 + "\");'><i class='mdi mdi-file-excel' style='margin-right:5px;'></i></a>";
					}
					else{
						return "<a><i class='mdi mdi-file-excel' style='margin-right:5px;'></i></a>";
					}
					
				}
			}
			
		];
		const FN_emitirLiquidacion = {};
		FN_emitirLiquidacion.test  = function(){
			return $('#facturacionAyuntamientos_dialog').rup_table("getSelectedRows")['estadoLiq']=='2';
		}
		
		const btnFacturacionDialog={
				text: function () {
					return $.rup.i18n.app.facturacionAyuntamientos.emitirLiquidacion;
				},
				id: 'btnFacturacionDialog', // Campo obligatorio si se
											// quiere usar desde el
											// contextMenu
				displayRegex: FN_emitirLiquidacion,
				className: 'btn-material-primary-high-emphasis table_toolbar_btnView',
				icon: "mdi mdi-playlist-edit",
				insideContextMenu: true, // Independientemente de
											// este valor, sera 'false'
											// si no tiene un id
											// definido
				type: 'view',
				action : function(e, dt, node, config) {
					data = $('#facturacionAyuntamientos_dialog').rup_table("getSelectedRows");
					
					console.log(data);
					 $.rup_ajax({
			              url: $.rup.CTX_PATH +"facturacionayuntamientos/emitirLiquidacion",
			              type: "POST",
							'contentType': 'application/json',
							'dataType': 'json',
				            data: JSON.stringify(data),
							beforeSend: function() {
								Ad74aUtils.bloquearInterfaz();
			                },
			                complete: function() {
			                	Ad74aUtils.desBloquearInterfaz();
			                },
			              success: function (data){
			            	  $('#rup_feedback_facturacionAyuntamientos_dialog').rup_feedback("set", $.rup.i18n.app.facturacionAyuntamientos.liquidacionEmitida, "ok");
			            	  $('#facturacionAyuntamientos_dialog').rup_table("reload");
			              },
			              error: function(error){
			            	  $('#rup_feedback_facturacionAyuntamientos_dialog').rup_feedback("option", "delay", null);
			            	  $('#rup_feedback_facturacionAyuntamientos_dialog').rup_feedback("set", error.responseText, "error");
			              }
			        });
				}
			}
		
		
		const btnInformePisosTuteladosDialog={
				text: function () {
					return $.rup.i18n.app.facturacionAyuntamientos.btnInformeDePisosTutelados;
				},
				id: 'btnInformeDePisosTuteladosDialog', // Campo obligatorio si se
											// quiere usar desde el
											// contextMenu
				displayRegex: FN_informePisosTuteladosDialog,
				className: 'btn-material-primary-high-emphasis table_toolbar_btnView',
				icon: "mdi mdi-file-excel",
				insideContextMenu: true, // Independientemente de
											// este valor, sera 'false'
											// si no tiene un id
											// definido
				type: 'view',
				action : function(e, dt, node, config) {

					data = $('#facturacionAyuntamientos_dialog').rup_table("getSelectedRows");
					
					console.log(data);
					 $.rup_ajax({
			              url: $.rup.CTX_PATH +"facturacionayuntamientos/ayuntamientosExcel",
			              type: "POST",
							'contentType': 'application/json',
							'dataType': 'json',
				            data: JSON.stringify(data),
							beforeSend: function() {
								Ad74aUtils.bloquearInterfaz();
			                },
			                complete: function() {
			                	Ad74aUtils.desBloquearInterfaz();
			                },
			              success: function (data){
			            	  $('#rup_feedback_facturacionAyuntamientos_dialog').rup_feedback("set",$.rup.i18n.app.facturacionAyuntamientos.informeSolicitado, "ok");
			            	  $('#facturacionAyuntamientos_dialog').rup_table("reload");
			              },
			              error: function(error){
			            	  $('#rup_feedback_facturacionAyuntamientos_dialog').rup_feedback("option", "delay", null);
			            	  $('#rup_feedback_facturacionAyuntamientos_dialog').rup_feedback("set", error.responseText, "error");
			              }
			        });
				
				}
			}
		
		const misbotonesDialog = [
			
			]
		misbotonesDialog.push(btnFacturacionDialog);
		misbotonesDialog.push(btnInformePisosTuteladosDialog);
	
	$("#facturacionAyuntamientos_dialog").rup_table({
		colReorder: {
		 fixedColumnsLeft: 1
		}
		,colModel: tableColModels
		,columnDefs : columnDefs
		,primaryKey: "idFacturacion90"
		,filter:"noFilter"
     	,loadOnStartUp: true
		,noEdit : true
   		,select: {
       		activate: true
   		},
   		"pageLength": 50,
		dom: 't<"container-fluid paginationContainer"' +
		  '<"row mx-0"' +
		  '<"col-6 order-3 text-right align-self-center col-sm-5 order-sm-2 col-xl-2 order-xl-1 text-xl-left">' +
		  '<"d-none"p>' +
		  '<"col-12 text-center"i>' +
		  '>' +
		  '>' +
		  'r',
		buttons: {
			activate: true,
			contextMenu: false,
			blackListButtons: ['addButton', 'editButton', 'cloneButton', 'copyButton','deleteButton','pdfButton', 'odsButton', 'csvButton'],
			myButtons:misbotonesDialog
		},
		columnOrderArrows: {
		    showOnlyActive: false,
		    display: 'inline'
		}
		,order: [[0, "desc"]]
	});
	$("#link-layer").show();
	}
	
	
	$.downloadDocument = function(idFacturacion){
		
			//$.rup.CTX_PATH+"avisos/downloadDocumento?nombreDoc="+url+"&enlaceCodigo="+oidDocumento+"&esOid="+vieneAvisos;
			var url = $.rup.CTX_PATH+"facturacionayuntamientos/downloadInforme/"+ idFacturacion;
			window.open($.rup_utils.setNoPortalParam(encodeURI(url)));
		
			
		
	}
	
});